Name:           python-agentmet4fof
Version:        0.13.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A software package for the integration of metrological input into an agent-based system for the consideration of measurement uncertainty in current industrial manufacturing processes.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/Met4FoF/agentMET4FOF/tree/v0.13.4/
Source:         %{pypi_source agentmet4fof}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'agentmet4fof' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-agentmet4fof
Summary:        %{summary}

%description -n python3-agentmet4fof %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-agentmet4fof dev,docs,tutorials


%prep
%autosetup -p1 -n agentmet4fof-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,docs,tutorials


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-agentmet4fof -f %{pyproject_files}


%changelog
%autochangelog